Skip to content

Search files and folders

POST
/api/search

Searches for files and folders using a query and optional folder ID

Authorizations

Token

Format: token <value>. Types: user (session) or uploader (API token).

Type
API Key (header: Authorization)

Request Body

application/json
JSON
{
  
"query": "string",
  
"folderId": "string",
  
"recursive": true
}

Responses

OK

application/json
JSON
{
  
"files": [
  
  
{
  
  
  
"id": "string",
  
  
  
"name": "string",
  
  
  
"mime": "string",
  
  
  
"size": "string",
  
  
  
"ownerId": "string",
  
  
  
"folderId": "string",
  
  
  
"createdAt": "string",
  
  
  
"updatedAt": "string",
  
  
  
"shareId": "string"
  
  
}
  
],
  
"folders": [
  
  
{
  
  
  
"id": "string",
  
  
  
"name": "string",
  
  
  
"ownerId": "string",
  
  
  
"parentId": "string",
  
  
  
"files": [
  
  
  
  
{
  
  
  
  
  
"id": "string",
  
  
  
  
  
"name": "string",
  
  
  
  
  
"mime": "string",
  
  
  
  
  
"size": "string",
  
  
  
  
  
"ownerId": "string",
  
  
  
  
  
"folderId": "string",
  
  
  
  
  
"createdAt": "string",
  
  
  
  
  
"updatedAt": "string",
  
  
  
  
  
"shareId": "string"
  
  
  
  
}
  
  
  
],
  
  
  
"folders": [
  
  
  
  
{
  
  
  
  
}
  
  
  
],
  
  
  
"createdAt": "string",
  
  
  
"updatedAt": "string",
  
  
  
"shareId": "string"
  
  
}
  
]
}

Playground

Server
Authorization
Body

Samples